#ifndef CHARACTER_H
#define CHARACTER_H

#include <iostream>
using namespace std;

enum eCharacterType {WHITE_SPACE,TEXT,OTHER};

class Character  
{
public:
	Character();
	Character(const Character &); 
	virtual ~Character();

	const Character &operator=(const Character &);

	char getCharacter() const;
	void setCharacter(const char);
	int operator==(const Character &) const;
	int operator!=(const Character &) const;
	
	eCharacterType getCharacterType() const;
	void print() const;

private:
	char character;
};

#endif
