// Clock.cpp: implementation of the Clock class.
//
//////////////////////////////////////////////////////////////////////

#include "Clock.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Clock::Clock()
{
	start_time = (double)clock()/((double) CLOCKS_PER_SEC);
}

Clock::~Clock()
{
}

double Clock::getStartTime() const
{
	return start_time;
}

double Clock::getElapsedTime() const
{
	return getTime()-start_time;
}

double Clock::getTime() const
{
	return (double)clock()/((double) CLOCKS_PER_SEC);
}

void Clock::setStartTime()
{
	start_time = getTime();
}

void Clock::print() const
{
	cout<<start_time<<" "<<getElapsedTime()<<endl;
}