#ifndef DECORATEDCHAR_H
#define DECORATEDCHAR_H

#include <iostream>
#include "Character.h"
#include "PropertyRecord.h"
using namespace std;

class DecoratedChar  
{
public:
	DecoratedChar();
	DecoratedChar(const DecoratedChar &);
	virtual ~DecoratedChar();

	const DecoratedChar &operator=(const DecoratedChar &);
	int operator==(const DecoratedChar &) const;
	int operator!=(const DecoratedChar &) const;

	const Character &getCharacter() const;
	const PropertyRecord &getDecoration() const;
	void setCharacter(const Character &);
	void setDecoration(const PropertyRecord &);

	void print() const;

private:
	Character character;
	PropertyRecord decoration;
};

#endif
