// Move.cpp: implementation of the Move class.
//
//////////////////////////////////////////////////////////////////////

#include "Move.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Move::Move()
{
}

Move::Move(const Move &right)
{
	stack_flag_table = right.stack_flag_table;
	tag_table = right.tag_table;
}

Move::~Move()
{
}

const Move &Move::operator=(const Move &right)
{
	if (this != &right) {
		stack_flag_table = right.stack_flag_table;
		tag_table = right.tag_table;
	}
	return *this;
}

void Move::clear()
{
	stack_flag_table.clear();
	tag_table.clear();
}

void Move::print() const
{
	for (int i=0;i<tag_table.size();i++) 
		cout<<"("<<tag_table[i]<<")";
}
