// Tag.cpp: implementation of the Tag class.
//
//////////////////////////////////////////////////////////////////////

#include "Tag.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Tag::Tag()
{
}

Tag::Tag(const Tag &right)
{
	name = right.name;
}

Tag::~Tag()
{
}

const Tag &Tag::operator =(const Tag &right)
{
	if (this != &right) {
		name = right.name;
	}
	return *this;
}

const string &Tag::getName() const
{
	return name;
}

void Tag::setName(const string &n)
{
	name = n;
}

int Tag::openTagSize() const
{
	return name.length();
}

int Tag::closedTagSize() const
{
	return name.length();
}

void Tag::print() const
{
	cout<<&name;
}

