#ifndef TAG_H
#define TAG_H

#include <iostream>
#include <string>
using namespace std;

class Tag  
{
public:
	Tag();
	Tag(const Tag &);
	virtual ~Tag();

	const Tag &operator=(const Tag &);

	const string &getName() const;
	void setName(const string &);

	int openTagSize() const;
	int closedTagSize() const;
	void print() const;
private:
	string name;
};

#endif
