// Document.cpp: implementation of the Document class.
//
//////////////////////////////////////////////////////////////////////

#include "Document.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Document::Document()
{
}

Document::Document(const Document &right)
{
	document = right.getDocument();
}


Document::~Document()
{
}

const Document &Document::operator=(const Document &right)
{
	if (this != &right) {
		document = right.getDocument();
	}
	return *this;
}

const string &Document::getDocument() const
{
	return document;
}

void Document::setDocument(const string &d)
{
	document = d;
}

int Document::maxCharNum() const
{
	return 1;
}

int Document::maxNestedTag() const
{
	return 1;
}

void Document::load()
{
	char buffer[2048];

	while (cin.get(buffer,2048,'\0') != NULL)
		document += buffer;
}

void Document::print() const
{
	cout << document;
}
