#ifndef DOCUMENT_H
#define DOCUMENT_H

#include <string>
#include <iostream>
using namespace std;

class Document  
{
public:
	Document();
	Document(const Document &);
	virtual ~Document();

	const Document &operator=(const Document &);

	const string &getDocument() const;
	void setDocument(const string &);

	int maxCharNum() const;
	int maxNestedTag() const;
	void load();
	void print() const;
private:
	string document;
};

#endif
