#ifndef PROPERTYRECORD_H
#define PROPERTYRECORD_H

#include <iostream>
using namespace std;

const int MAX_COLOR = 7;
const int MAX_UNDERLINE = 3;
const int MAX_SIZE = 9;
const int ANY_SIZE = MAX_SIZE+1;
const int ANY_COLOR = MAX_COLOR+1;

class PropertyRecord  
{
public:
	PropertyRecord();
	PropertyRecord(const PropertyRecord &);
	virtual ~PropertyRecord();

	const PropertyRecord &operator=(const PropertyRecord &);
	int operator==(const PropertyRecord &) const;
	int operator!=(const PropertyRecord &) const;

	void setup();
	void applyTag(const int);
	void print() const;

	bool b;
	bool em;
	bool i;
	bool s;
	bool tt;
	int u;
	int size;
	int color;
};

#endif
